Test::Unit::TkTestRunner(3pm)

NAME
Test::Unit::TkTestRunner - unit testing framework helper class

SYNOPSIS
    use Test::Unit::TkTestRunner;
    Test::Unit::TkTestRunner::main($my_testcase_class);

DESCRIPTION
This class is the test runner for the GUI style use of the testing framework.

It is used by simple command line tools like the TkTestRunner.pl script provided.

The class needs as arguments the names of the classes encapsulating the tests to be run.

AUTHOR
Copyright (c) 2000-2002, 2005 the PerlUnit Development Team (see Test::Unit or the AUTHORS file included in this distribution).

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Test::Unit::Loader

•   Test::Unit::Listener

•   Test::Unit::Result

•   Test::Unit::TestRunner

•   Test::Unit::TestCase

•   Test::Unit::TestSuite

•   For further examples, take a look at the framework self test collection (t::tlib::AllTests).